Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
ChargebeeAPI

Override Billing Profile

Idempotency Supported

Assigns the payment source and sets auto collection state for the subscription.

When you don't pass any input param for this API, payment source and auto collection for the subscription will be the same as the customer's default settings.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/override_billing_profile

Input Parameters

payment_source_id
optional, string, max chars=40

Unique identifier of the payment source to be attached to this subscription.

auto_collection
optional, enumerated string

Defines whether payments need to be collected automatically for this subscription. Overrides customer's auto-collection property.

Enum Values
on

Whenever an invoice is created for this subscription, an automatic charge will be attempted on the payment method available.

off

Automatic collection of charges will not be made for this subscription. Use this for offline payments.

payment_intent_id
optional, string, max chars=150

Returns

Subscription object
Resource object representing subscription
Payment source object
Resource object representing payment_source